package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B1;
import com.ruoyi.system.domain.B14;
import com.ruoyi.system.domain.B15;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B15Mapper {

    /**
     * 查询所有
     * @return
     */
    List<B15> selectAll();

    public List<B15> selectListByInfo(B15 b15);

    int insertOne(B15 b15);

    int examineB15(B15 b15);

    int delB15(B15 b15);

    int weekdelB15(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);

    List<B15> selectB15ListByProjectIDAndFromTo(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);
    List<B15> selectB15ByUserIDAndFromTo(@Param("userId") String userId, @Param("from") String from, @Param("to") String to);

    /**
     * 新增表b14c字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 批量更新
     * @param list
     */
    void updateList(List<B15> list);
}
